QGIS Application - Bug report #17471
Processing: in GRASS/QGIS 3 inputs parameters (even optional) are always filled
2017-11-15 04:46 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25368
Description

steps to replicate (is just an example):

- load a dem layer

- open the r.watershed tool, no input is filled, not the mandatory nor the optional > correct

- run the tool, it will create a number of outputs, close the tool

- re-open the tool, now all the inputs fields, mandatory and optional are already filled with one of the layers in the project > not cool,
especially for the optional ones. But to keep consistency (also with 2.18) no input should be filed.

Associated revisions

Revision 8303b946 - 2017-12-01 10:42 AM - Nyall Dawson

[processing] Fix optional layer parameters are filled by default

Refs #17471

Not a full fix for 17471 - that requires handling of optional

numeric values too

Revision 1c1de3a8 - 2017-12-01 10:42 AM - Nyall Dawson

[processing] Fix optional numeric parameters cannot be cleared

Without this change optional numeric parameters have no way to
be cleared in the GUI - they are always forced to have a value

Fixes #17471 - but I've noticed that many optional numeric
GRASS parameters have a non-null default value. These may
need to be investigated and manually changed to None defaults
in the description files.

History

#1 - 2017-12-01 10:42 AM - Nyall Dawson
- % Done changed from 0 to 100

2025-04-27 12




- Status changed from Open to Closed

Applied in changeset commit:qgis|1c1de3a88bed861da53b859bf80062fd2aab3659.

#2 - 2017-12-02 06:30 PM - Giovanni Manghi

- Resolution set to fixed/implemented

2025-04-27 22



